#Genisys高级配置文件

#配置文件版本
config:
 version: 14
 
level:
 #设置是否变换天气
 weather: true
 #随机天气持续时长最小值，最大值
 weather-random-duration-min: 6000
 weather-random-duration-max: 12000
 #随机闪电间隔，默认10秒，0 = 禁用
 lightning-time: 200
 #是否启用闪电击中着火
 lightning-fire: false
 #是否启用火焰蔓延
 fire-spread: false
 
player:
 #是否打开饥饿
 hunger: true
 #饥饿值扣血下限
 hunger-health: 10
 #饥饿值计时器，默认80=4秒
 hunger-timer: 3000
 #是否打开经验系统
 experience: true
 #是否开启死亡不掉落
 keep-inventory: false
 #背包格数
 inventory-num: 36
 #是否开启切换模式自动清除背包
 auto-clear-inventory: true
 #是否开启死亡经验不掉落
 keep-experience: false
 #如果玩家进入游戏时崩溃, 请设置低于10的值. 禁用 = -1
 chunk-radius: -1
 
nether:
 #是否允许地狱，打开此选项会自动生成地狱地图
 allow-nether: true
 #地狱地图名
 level-name: "nether"
 
server:
 #经验数据预生成，0不启用
 experience-cache: 65535
 #是否允许生成铁傀儡
 allow-iron-golem: false
 #是否允许生成雪傀儡
 allow-snow-golem: false
 #是否允许铁砧和附魔台
 allow-anvilandenchanttable: true
 #是否禁用server.log
 disable-log: false
 #是否启用反飞行作弊
 anti-fly: true
 #是否启用异步方式发送区块
 async-chunk-request: true
 #玩家进出服务器消息提醒方式。0为Message，1为Tip，2为Popup
 player-msg-type: 0
 login-msg: "§3@player 加入了游戏"
 logout-msg: "§3@player 退出了游戏"
 #是否从recipes.json读取合成公式
 recipes-from-json: false
 #是否从creativeitems.json读取创造物品
 creative-items-from-json: false
 #设置矿车行为方式
 #-1=禁用矿车移动, 0=自由移动, 1=沿铁轨行驶
 minecart-moving-type: 0
 #是否进行移动检测(不再拉回了)
 check-movement: true
 #是否限制创造某些功能(禁止丢物品, 禁止操作箱子等等)
 limited-creative: true
 #是否开启方块破坏粒子
 destroy-block-particle: true
 #是否允许喷溅型药水
 allow-splash-potion: true
 #是否启用高级指令选择器
 advanced-command-selector: false

redstone:
 ##############################
 #######是否开启红石系统#######
 ##############################
 #如果不改为true将无法使用红石#
 ##############################
 enable: false
 #是否允许频率脉冲
 frequency-pulse: false
 #设置脉冲频率, 默认: 1s
 pulse-frequency: 1
 
dserver:
 #多服统统一人数
 enable: false
 #Query自动更新
 query-auto-update: false
 #Query周期更新
 query-tick-update: true
 #Motd最大人数，0为默认
 motd-max-players: 0
 #Query最大人数，0为默认
 query-max-players: 0
 #Motd显示总人数
 motd-all-players: false
 #Query显示总人数
 query-all-players: false
 #Motd显示人数
 motd-players: false
 #Query显示人数
 query-players: false
 #更新频率，20 = 1秒
 time: 40
 #获取失败自动重试次数
 retry-times: 3
 #服务器列表，用;隔开，例如 1.example.com:19132;2.example.com:19133
 server-list: ""
 
ai:
 #AI总开关
 enable: false
 #僵尸的AI，0为关闭，1为1.0版AI，2为新AI（不完善）
 zombie: 1
 #僵尸猪人的AI
 pigzombie: true
 #牛和哞菇的AI
 cow: true
 #鸡的AI
 chicken: true
 #羊的AI
 sheep: true
 #猪的AI
 pig: true
 #骷髅的AI
 skeleton: true
 #苦力怕的AI
 creeper: true
 #铁傀儡的AI
 iron-golem: true
 #雪傀儡的AI
 snow-golem: true
 #苦力怕爆炸是否破坏方块
 creeper-explode-destroy-block: false
 #是否允许自动生成生物
 mobgenerate: false
